# Generated by Django 4.0.10 on 2024-07-05 12:52

from django.db import migrations, models
import django.db.models.deletion
import shortuuidfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0016_add_satellite_orbital_params_fields'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='stationconfiguration',
            name='schema',
        ),
        migrations.RemoveField(
            model_name='stationconfiguration',
            name='station',
        ),
        migrations.AlterUniqueTogether(
            name='stationconfigurationschema',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='stationconfigurationschema',
            name='station_type',
        ),
        migrations.DeleteModel(
            name='ActiveStationConfiguration',
        ),
        migrations.AddField(
            model_name='demoddata',
            name='data_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='station',
            name='satnogs_antenna',
            field=models.CharField(blank=True, max_length=40),
        ),
        migrations.AddField(
            model_name='station',
            name='satnogs_rf_gain',
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='station',
            name='satnogs_rx_samp_rate',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='station',
            name='satnogs_soapy_rx_device',
            field=models.CharField(blank=True, max_length=40),
        ),
        migrations.AddField(
            model_name='transmitterstats',
            name='transmitter_uuid',
            field=shortuuidfield.fields.ShortUUIDField(blank=True, editable=False, max_length=22),
        ),
        migrations.AlterField(
            model_name='satellite',
            name='norad_id_by_changes',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='station',
            name='violator_scheduling',
            field=models.IntegerField(choices=[(0, 'Никто'), (1, 'Только операторы'), (2, 'Все')], default=0),
        ),
        migrations.AlterField(
            model_name='transmitterstats',
            name='transmitter',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='stat', to='base.transmitter'),
        ),
        migrations.AddIndex(
            model_name='station',
            index=models.Index(fields=['client_id'], name='base_statio_client__f888eb_idx'),
        ),
        migrations.AddIndex(
            model_name='transmitterstats',
            index=models.Index(fields=['transmitter'], name='base_transm_transmi_953166_idx'),
        ),
        migrations.AddIndex(
            model_name='transmitterstats',
            index=models.Index(fields=['transmitter_uuid'], name='base_transm_transmi_f644f5_idx'),
        ),
        migrations.DeleteModel(
            name='StationConfiguration',
        ),
        migrations.DeleteModel(
            name='StationConfigurationSchema',
        ),
        migrations.DeleteModel(
            name='StationType',
        ),
    ]
